## sploitscan 0.5.0+git20240429.5243d70

=== requirements.txt ===
requests==2.31.0
tabulate==0.8.9

=== debian/changelog ===
sploitscan (0.5.0+git20240429.5243d70-1) unstable; urgency=medium

  * New upstream version 0.5.0+git20240429.5243d70
  * debian/patches: Manpage fixed by upstream

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 01 May 2024 08:03:04 -0300

sploitscan (0.5.0+git20240324.c0d06ab-1) unstable; urgency=medium

  * New upstream version 0.5.0+git20240324.c0d06ab
  * debian/manpages: Removed, upstream added new project manual
  * debian/patches: fix lintian " manpage-has-bad-whatis-entry"
  * debian/watch: Update new version

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 28 Apr 2024 23:09:43 -0300

sploitscan (0.2.0+git20240219.cf6360e-1) unstable; urgency=medium

  * Initial release. (Closes: #1063687)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 20 Feb 2024 19:43:02 -0300

=== debian/control ===
Source: sploitscan
Section: misc
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-poetry,
               python3-requests,
               python3-setuptools
Standards-Version: 4.6.2
Homepage: https://github.com/xaitax/SploitScan
Vcs-Browser: https://salsa.debian.org/pkg-security-team/SploitScan
Vcs-Git: https://salsa.debian.org/pkg-security-team/SploitScan.git

Package: sploitscan
Architecture: all
Depends: python3-tabulate,
         ${misc:Depends},
         ${python3:Depends}
Suggests: bat,
          jq,
          json2yaml,
          python3-pygments
Description: Search for CVE information
 SploitScan is an efficient and easy-to-use command-line tool designed to
 consult CVE (Common Vulnerabilities and Exposures).
 Extremely important for professionals, as it allows them to implement
 measures that prevent the exploitation of discovered vulnerabilities.
 .
 Tool is capable of exporting in a single run results for JSON and CSV
 formats, from the main databases of entities and organizations linked
 to cybersecurity:
    - MITER Corporation. non-profit organization that provides technical
      solutions to critical security issue
    - EPSS (Exploit Prediction Scoring System) is a system that aims to
      predict the probability of a specific vulnerability, helping organizations
      prioritize their mitigation activities.
    - Gather PoCs (Proof of Concepts) Collecting PoCs is a common activity
      among vulnerability researchers and security professionals, who reproduce
      the severity of vulnerabilities in a controlled environment, aiming to
      take preventive measures.
    - CISA Infrastructure Security Agency - responsible for keeping Known
      Exploited Vulnerabilities Catalog (KEV) updated.
    - Capable of interacting with the Patch Priority System, responsible for
      evaluating and assigning a patch priority rating based on several factors,
      including the availability of public exploits.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install -- --install-args="--install-lib=/usr/share/sploitscan"
	mkdir -p debian/sploitscan/usr/bin
	install -m 755 -p -T debian/sploitscan.py debian/sploitscan/usr/bin/sploitscan

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0.5.0+git%cd.%h" \
https://github.com/xaitax/SploitScan HEAD

## sploitscan 0.7.0+git20240518.fd26003

=== debian/changelog ===
sploitscan (0.7.0+git20240518.fd26003-1) unstable; urgency=medium

  * New upstream version 0.7.0+git20240518.fd26003
  * debian/watch: Updated version of the project

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 18 May 2024 18:17:40 -0300

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0.7.0+git%cd.%h" \
https://github.com/xaitax/SploitScan HEAD

## sploitscan 0.9.1

=== debian/changelog ===
sploitscan (0.9.1-2) unstable; urgency=medium

  * debian/sploitscan.py: Removed as no longer needed
  * debian/rules: The modules are now installed in usr/lib

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 08 Jun 2024 11:16:16 -0300

sploitscan (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1
  * debian/control: Added New Build-depends and removed depends Suggests
  * debian/manpages: Manpages directory modified by upstream
  * debian/rules: Removed lintian privacy-breach-generic
  * debian/watch: Modified release tracking mode

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Fri, 24 May 2024 22:07:54 -0300

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,8 @@
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
+               python3-jinja2,
+               python3-openai,
                python3-poetry,
                python3-requests,
                python3-setuptools
@@ -21,10 +23,7 @@
 Depends: python3-tabulate,
          ${misc:Depends},
          ${python3:Depends}
-Suggests: bat,
-          jq,
-          json2yaml,
-          python3-pygments
+Suggests: python3-pygments
 Description: Search for CVE information
  SploitScan is an efficient and easy-to-use command-line tool designed to
  consult CVE (Common Vulnerabilities and Exposures).

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --buildsystem=pybuild

#override_dh_auto_install:
#	dh_auto_install -- --install-args="--install-lib=/usr/share/sploitscan"
#	mkdir -p debian/sploitscan/usr/bin
#	install -m 755 -p -T debian/sploitscan.py debian/sploitscan/usr/bin/sploitscan

# Fix lintian  privacy-breach-generic
override_dh_link:
	dh_link
	find debian/sploitscan/ -name '*.html' -exec sed -i 's/.*https:\/\/cdn\.jsdelivr\.net\/.*//g' {} \;

## sploitscan 0.10.3

=== debian/changelog ===
sploitscan (0.10.3-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Use links file to symlink config.json

  [ Josenilson Ferreira da Silva ]
  * New upstream version 0.10.3 (Closes: #1074476, #1074771)
  * debian/rules: Removed unnecessary command
  * debian/sploitscan.install:
     Configuration file moved to /etc directory (Closes:  #1072816 )
  * debian/sploitscan.links: Changed symbolic link

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 09 Jul 2024 10:39:03 -0300

sploitscan (0.9.1-3) unstable; urgency=medium

  * debian/control:
    - Bumped to version 4.7.0
    - Fixed Vcs urls (Closes: #1072882)
  * debian/rules: Files fixed after compilation (Closes: #1072747)
  * debian/sploitscan.links: Created symbolic links to usr/lib
  * debian/sploitscan.install: Files moved to usr/share (Closes: #1072816)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 24 Jun 2024 10:39:14 -0300

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
DEBIAN_DIR = debian/sploitscan
%:
	dh $@ --buildsystem=pybuild

# Fix lintian  privacy-breach-generic
override_dh_install:
	dh_install
	find debian/sploitscan/ -name '*.html' -exec sed -i 's/.*https:\/\/cdn\.jsdelivr\.net\/.*//g' {} \;
	find debian/sploitscan/ -name 'top_level.txt' -exec rm -rf {} \;

## sploitscan 0.10.4

=== debian/changelog ===
sploitscan (0.10.4-1) unstable; urgency=medium

  * New upstream version 0.10.4 (Closes: #1078207)
  *  debian/rules: Removed unnecessary line

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 10 Aug 2024 15:48:57 -0300

## sploitscan 0.10.5

=== requirements.txt ===
requests==2.32.2
jinja2==3.1.4
openai==1.30.2

=== debian/changelog ===
sploitscan (0.10.5-1) unstable; urgency=medium

  * New upstream version 0.10.5

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 01 Oct 2024 20:47:58 -0300

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
                python3-poetry,
                python3-requests,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/xaitax/SploitScan
-Vcs-Browser: https://salsa.debian.org/pkg-security-team/SploitScan
-Vcs-Git: https://salsa.debian.org/pkg-security-team/SploitScan.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/sploitscan
+Vcs-Git: https://salsa.debian.org/pkg-security-team/sploitscan.git
 
 Package: sploitscan
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE = 1
-DEBIAN_DIR = debian/sploitscan
+
 %:
 	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/xaitax/SploitScan/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
